jQuery(function($){
	
	var isTecnicoEntidad = (IS_TECNICO_ENTIDAD);
	
			
	$('#codth_detail_table').rup_combo({
		source: $.rup.CTX_PATH + "provincia/getAllProvincia?idAutonomia="+COD_EUSKADI,
		sourceParam: {label:"descOf", value:"idProvincia"},
		blank: "",
		rowStriping: true,
		autocomplete :true,
		change: function(){
			$("#codmun_detail_table").rup_combo("setRupValue","");
		} 
	});
	
	$("#codmun_detail_table").rup_combo({
		parent: [ "codth_detail_table" ],
		source: $.rup.CTX_PATH + "municipio/getAllMunicipio",
		sourceParam: {label:"descOf", value:"idMunicipio"},
		blank: "",
		rowStriping: true,
		autocomplete :true
	});
	
	$("#codloc_detail_table").rup_combo({
		parent: [ "codth_detail_table","codmun_detail_table" ],
		source: $.rup.CTX_PATH + "localidad/getAllLocalidad",
		sourceParam: {label:"descOf", value:"idLocalidad"},
		blank: "",
		rowStriping: true,
		autocomplete :true
	});
	
		
	 $('#tipoIdentif_detail_table').rup_combo({
		source: $.rup.CTX_PATH + "combo/tipoidentif",
		sourceParam: {label:"desc", value:"codigo"},
		blank: "",
		rowStriping: true,
		autocomplete :true
	});
	 
	 $("#solicInfor_detail_table").rup_combo({
		source:  [
			{i18nCaption: $.rup.i18n.app.rup_combo["inforBilin"], value:"0"},
			{i18nCaption: $.rup.i18n.app.rup_combo["inforEus"], value:"1"}
			],		
		blank: "",
		rowStriping: true
	 });
	 

	
	//Evento para el botón Limpiar de la ventana de detalle
	$('#Entidad_detail_button_reset').on('click',resetearCamposDetalle);
	 
	$('#Entidad_detail_button_save').on('click',guardarDatos);
	 
	$("#Entidad_detail_feedback").rup_feedback(				
			);//{block:false,delay:1000, fadeSpeed:500}
	
	ab39aUtils.feedback.pintarFeedbackError($.rup.i18n.app.campos_tabla_tecnicos_entidad["mensajeRellCampos"],$("#Entidad_detail_feedback"));
	
	function guardarDatos(){
		var RETORNO_COMPLETO="OKCOMPLETO";
		//var totalTrab = parseFloat($("#numTrabHombre_detail_table").val()) + parseFloat($("#numTrabMujer_detail_table").val());
		//$("#numTrabajadores_detail_table").val(totalTrab);			
			
		$.rup_ajax({
			url : $.rup.CTX_PATH + "entidades/guardarDatos",
			contentType : "application/json",
			cache : false,
			data: JSON.stringify({"codEntidad": $("#codentidad_detail_table").val(),"email": $("#email_detail_table").val() ,"numTrab": $("#numTrabajadores_detail_table").val()
				,"numTrabH": $("#numTrabHombre_detail_table").val(),"numTrabM": $("#numTrabMujer_detail_table").val(),"tlfno":$("#tfno_detail_table").val()}),			
			dataType : "json",
			type : "POST",
			success : function(response) {
				ab39aUtils.feedback.pintarFeedbackOk($.rup.i18n.app.campos_tabla_tecnicos_entidad["entidadguardadaok"],$("#Entidad_detail_feedback"));
				if (response==RETORNO_COMPLETO){
					setTimeout(function(){
						$(location).attr('href',CONTEXT_PATH+"/inicio");
					}, 3000);
				}
			},
			error : function(error) {
				ab39aUtils.feedback.pintarFeedbackError(error.responseText);
			}
		});
		
	}
	 
	
	$("#tecnicosEntidad").rup_table({	
		url: $.rup.CTX_PATH + "entidades/tecnicosEntidad/"+$("#codentidad_detail_table").val(),
		colNames: [
			$.rup.i18n.app.campos_tabla_tecnicos_entidad["nombre"],
			$.rup.i18n.app.campos_tabla_tecnicos_entidad["email"],
			$.rup.i18n.app.campos_tabla_tecnicos_entidad["tfno1"],
			$.rup.i18n.app.campos_tabla_tecnicos_entidad["tfno2"],
			$.rup.i18n.app.campos_tabla_tecnicos_entidad["direccion"]
		],
		colModel: [
			{ 	name: "nombre",
				index: "NOMBRE",
				align: "left",
				width: 300,
				hidden: false,
				sortable: true
			},
			{ 	name: "email",
				index: "EMAIL",
				align: "left",
				width: 225,
				hidden: false,
				sortable: true
			},
			{ 	name: "telefono1",
				index: "TELEFONO1",
				align: "left",
				width: 130,
				hidden: false,
				sortable: true
			},
			{ 	name: "telefono2",
				index: "TELEFONO2",
				align: "left",
				width: 130,
				hidden: false,
				sortable: true
			},
			{ 	name: "direccioncompletaDescripcion",
				index: "CALLE",
				align: "left",
				width: 450,
				hidden: false,
				sortable: true
			}
        ],

        model:"tecnicosEntidad",
        usePlugins:[
			"toolbar"
        	
         	],
		primaryKey: "codtecnico",
		sortname: "CODTECNICO",
		sortorder: "ASC",
		loadOnStartUp: true
	});
	
	//Función que limpia los campos del delatalle de la entidad en el caso de estar dando de alta una nueva.
	function limpiarDatosPagina(){
		$('#cifnif_detail_table').val(VACIO);
		$('#cp_detail_table').val(VACIO);
		$('#desentidad_detail_table').val(VACIO);
		$('#direccion_detail_table').val(VACIO);
		$('#email_detail_table').val(VACIO);
		$('#numCalle_detail_table').val(VACIO);
		$('#numTrabHombre_detail_table').val(VACIO);
		$('#numTrabMujer_detail_table').val(VACIO);
		$('#numTrabajadores_detail_table').val(VACIO);
		$('#tfno_detail_table').val(VACIO);		
		$('#codth_detail_table').rup_combo("setRupValue", "");
		$('#codmun_detail_table').rup_combo("setRupValue", "");
		$('#codloc_detail_table').rup_combo("setRupValue", "");
		$('#tipoIdentif_detail_table').rup_combo("setRupValue", "");
		$('input:radio[name=tipoEntidad]:checked').prop('checked', false);
		$('#solicInfor_detail_table').rup_combo("setRupValue", "");	
		deshabilitarCampos();
	}
		
		
	//Función para resetaer los campos en la pantalla de detalle
	 function resetearCamposDetalle(){
		var codEntidad = $('#codentidad_detail_table').val();
		 
		//Se comprueba si es un alta o una edición
		if(codEntidad === VACIO){
			limpiarDatosPagina();
		}
		else{ 
		 $.rup_ajax({
				url : $.rup.CTX_PATH + "entidades/get/"+codEntidad,
				contentType : "application/json",
				cache : false,
				dataType : "json",
				type : "GET",
				success : function(response) {
					recargarDatosPagina(response);
				},
				error : function(error) {
					ab39aUtils.feedback.pintarFeedbackError($.rup.i18n.app.errores["limpiarCampos"]);
				}
			});
		}
	}
	 
	//Función que deja la pantalla como estaba ntes de empezar a editarla
	function recargarDatosPagina(response){
		$('#cifnif_detail_table').val(response.cifnif);
		$('#codth_detail_table').rup_combo("setRupValue", response.codth);
		$('#codmun_detail_table').rup_combo("setRupValue", response.codmun);
		
		var codloc =(response.codloc != null ? response.codloc : "")
		$('#codloc_detail_table').rup_combo("setRupValue", codloc);
		
		
		$('#solicInfor_detail_table').rup_combo("setRupValue", response.solicInfor);
		$('#tipoIdentif_detail_table').rup_combo("setRupValue", response.tipoIdentif.codigo);
		$('#cp_detail_table').val(response.cp);
		$('#desentidad_detail_table').val(response.desentidad);
		$('#direccion_detail_table').val(response.direccion);
		$('#email_detail_table').val(response.email);
		$('#numCalle_detail_table').val(response.numCalle);
		$('#numTrabHombre_detail_table').val(response.numTrabHombre);
		$('#numTrabMujer_detail_table').val(response.numTrabMujer);
		$('#numTrabajadores_detail_table').val(response.numTrabajadores);
		$('#tfno_detail_table').val(response.tfno);		
		$('input:radio[value='+response.tipoEntidad+']').prop("checked", true );
		deshabilitarCampos();		
	}
	
	function deshabilitarCampos(){	
		$('#tipoIdentif_detail_table').rup_combo("disable");
		$('#cifnif_detail_table').attr("disabled",true);
		$('#desentidad_detail_table').attr("disabled",true);
		$('#direccion_detail_table').attr("disabled",true);
		$('#numCalle_detail_table').attr("disabled",true);
		$('#cp_detail_table').attr("disabled",true);
		$('#codth_detail_table').rup_combo("disable");
		$('#codmun_detail_table').rup_combo("disable");
		$('#codloc_detail_table').rup_combo("disable");
		$('#solicInfor_detail_table').rup_combo("disable");
		$("#radiosTipoEntidadDetalle input:radio").attr('disabled',true);
	}
	resetearCamposDetalle();	
			
	$("#Entidad_detail_link_cancel").hide();
	
	if(isTecnicoEntidad=="true" ){
		$(".claseObliTec").addClass("obligatorio");
	}else{
		$(".claseObliTec").removeClass("obligatorio");
	}
		
});

function cargarTrabajadores(){
	var mujeres = 0;
	if($("#numTrabMujer_detail_table").val()!=""){
		mujeres = $("#numTrabMujer_detail_table").val();
	}
	var hombres = 0;
	if($("#numTrabHombre_detail_table").val()!=""){
		hombres = $("#numTrabHombre_detail_table").val();			
	}
	$("#numTrabajadores_detail_table").val(parseFloat(mujeres) + parseFloat(hombres));	
}
